function sequence(...handlers) {
  const length = handlers.length;
  if (!length) {
    const handler = (context, resolve) => {
      return resolve(context);
    };
    return handler;
  }
  return (context, resolve) => {
    return applyHandle(0, context);
    function applyHandle(i, handleContext) {
      const handle = handlers[i];
      return handle(handleContext, (nextContext) => {
        return i < length - 1 ? applyHandle(i + 1, nextContext) : resolve(nextContext);
      });
    }
  };
}
export {
  sequence
};
